%define pkg_name        Class-DBI-Plugin-AbstractCount
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 2.n0i.6

Summary:       Get COUNT(*) results with abstract SQL
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JC/JCZEUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(Class::DBI) >= 0.95
Requires:      perl(Class::DBI::Plugin) >= 0.02
Requires:      perl(SQL::Abstract) >= 1.1
%{!?_without_test:BuildRequires: perl(Class::DBI) >= 0.95}
%{!?_without_test:BuildRequires: perl(Class::DBI::Plugin) >= 0.02}
%{!?_without_test:BuildRequires: perl(SQL::Abstract) >= 1.1}


%description
This Class::DBI plugin combines the functionality from
Class::DBI::Plugin::CountSearch (counting objects without having to use an
array or an iterator), and Class::DBI::AbstractSearch, which allows complex
where-clauses a la SQL::Abstract.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.07-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Jun 15 2006 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.5
- version 0.07

* Tue Aug 30 2005 Marius Feraru <altblue@n0i.net> 0.06-1.n0i.4
- version 0.06

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Tue Dec 07 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.1
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
